local sel=b(6)
menu_t=1

while pge.running() do
	pge.controls.update()
	
	if pge.controls.pressed(PGE_CTRL_DOWN) and menu_t<6 then
		menu_t = menu_t + 1
		sel={black,black,black,black,black,black}
	end
	if pge.controls.pressed(PGE_CTRL_UP) and menu_t>1 then
		menu_t = menu_t - 1
		sel={black,black,black,black,black,black}
	end
	sel[menu_t]=pge.gfx.createcolor(255,255,0,math.abs(math.sin(name_rot)*255))
	
	if pge.controls.pressed(PGE_CTRL_CIRCLE) or not pge.net.isconnected() then
		menu_t=3
		pge.net.shutdown()
		dofile("menu.lua")
	end

	if pge.controls.pressed(PGE_CTRL_CROSS) then
		if menu_t==1 then
			
		elseif menu_t==2 then
			
		elseif menu_t==3 then
			
		elseif menu_t==4 then
			
		elseif menu_t==5 then
			
		elseif menu_t==6 then
			menu_t=3
			pge.net.shutdown()
			dofile("menu.lua")
		end
	end
	
	name_rot = name_rot + 0.045
	
	pge.gfx.startdrawing()
	
	pge.texture.activate(pix["bg"])	
	pge.texture.draweasy(pix["bg"],0,0)
	
	pge.font.activate(font_1)
	pge.font.printcenter(fo_comic,50,sel[1],"Update Game")
	pge.font.printcenter(fo_comic,80,sel[2],"Downloads")
	pge.font.printcenter(fo_comic,110,sel[3],"News")
	pge.font.printcenter(fo_comic,140,sel[4],"Report A Bug")
	pge.font.printcenter(fo_comic,170,sel[5],"Suggest An Idea")
	pge.font.printcenter(fo_comic,200,sel[6],"Return To Main Menu")
	
	pge.gfx.enddrawing()
	pge.gfx.swapbuffers()
end